""" Refugees in Italy 

Display the refugees in Italy from 1990 - 2022
"""

import sys
import numpy as np
import matplotlib.pyplot as plt

country_id = 14
# define data
years = [1990,1991,1992,1993,1994,1995,1996,1997,1998,1999,2000,2001,2002,2003,2004,2005,2006,2007,2008,2009,2010,2011,2012,2013,2014,2015,2016,2017,2018,2019,2020,2021,2022]
refugees = np.loadtxt("data/refugees-europe_0.txt")

# create plotting objects
figure = plt.figure()
axes = figure.subplots()

# plot data
axes.plot(years, refugees[country_id], color="r")

# add labels and title
axes.set_xlabel("year")
axes.set_ylabel("refugees")
axes.set_title("Refugees in Italy")

# set limits
axes.set_ylim(0, np.max(refugees[country_id])*1.05)

# display
plt.show()
